<?php
include "../core.php";
$aid = intval( $_REQUEST['aid'] );
if ( empty( $aid ) ) {
		include SAXUE_WEB_PATH . "/404.php";
}
include SAXUE_WEB_PATH . "/header.php";
$saxueTset['saxue_page_template'] = SAXUE_THEME_PATH . '/slide/detail.html';
$saxueTset['saxue_page_cacheid'] = $aid;
if ( SAXUE_USE_CACHE ) {
		$saxueTpl -> setcaching( 1 );
} else {
		$saxueTpl -> setcaching( 0 );
} 
if ( !SAXUE_USE_CACHE || !$saxueTpl -> is_cached( $saxueTset['saxue_page_template'], $saxueTset['saxue_page_cacheid'] ) ) {
		include SAXUE_ROOT_PATH . "/common/packarticle.php";
		$packarticle = new saxuepackarticle( $aid );
		if ( !$packarticle -> isslide() ) {
				include SAXUE_WEB_PATH . "/404.php";
		}
		$packarticle -> showslide();
}
include SAXUE_WEB_PATH . "/footer.php";